Bug 8718 - GPF while booting installation on hp Vectra 6/200 [2x200mhz]
GPF while booting installation on hp Vectra 6/200 [2x200mhz]
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-21 12:31 EST by Jim Williams
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-03 07:51:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Williams 2000-01-21 12:31:02 EST
Insert distributed boot diskette release 6.1, reset computer.
press <enter> at "boot:" prompt
[entering "expert<enter>" and "text<enter>" provide same crash.

screen (not exact replica) shows:

loading vmlinuz .....
uncompressing ... booting the kernel
linux version 2.2.12-20BOOT
detected 199744589 Hz proc
console colour VGA+ 80x25
Calibrating delay loop ... 199.07 BoGoMIPS
Memory 175908k/180224k available (964k kernel code, 416k reserved) \
2060k data, 60k init)
general protection fault: 0000
cpu: 0
EIP: 0010:[<c011f01a>]
eflags: 00010296
eax: 9f ebx: cafff008 ecx: f..f edx: c0402000
esi: 28 edi: f..f ebp: caffffe0 esp: c0217f40
ds: 18 es: 18 ss: 18
process swapper (id:0, process nr 0, stackpage = c0217000)
stack: c02005a0 286 f..f 212 1 15 20 0
c011f211 c02005a0 15 0 20 0 0 c011e873
c02005a0 15 0 9800 0 0 c0229f03 5a
calltrace [<c011f211>][<c011e873>][<c01c8c00>]
[<c01ca4be>][<c0106000>][<c0106000>][<c0100176>]
code: 89 07 8b 4c 24 10 8b 09 89 4c 24 10 83 ee 01 73 b5 c7 01 00
Kernel panic: attempted to kill the idle task!
in swapper task -- not syncing

enabled memory test (ECC memory) no difference
changed CMOS "operating system" "W/NT" and "Other" no difference

This system runs W95oem2 and W/NT4sp3 with no known problems
Comment 1 Jim Williams 2000-02-03 07:51:59 EST
The problem appears to be that memory is is incorrectly sized.
By specifying mem=128M on the boot command, booting of the installation disk
now succeeds.  This is still a bug in memory sizing but the option is a work
around.
Comment 2 Alan Cox 2000-08-08 15:09:07 EDT
Memory sizing is all done by the BIOS. Refer to vendor for BIOS updates I think.
mem= seems a sensible solution to work around the BIOS

Note You need to log in before you can comment on or make changes to this bug.